package http_model

type UpdateContactInfoRequest struct {
	EnterpriseId string `json:"enterprise_id"`  // 商家ID
	SubAccountId int    `json:"sub_account_id"` // 子账号ID
	ContactPhone string `json:"contact_phone"`  // 联系电话
	WechatNumber string `json:"wechat_number"`  // 微信号
	WechatQRCode string `json:"wechat_qr_code"` // 微信二维码
	Code         string `json:"code"`           // 验证码
}

type UpdateContactInfoData struct {
	ContactPhone string `json:"contact_phone"`  // 联系电话
	WechatNumber string `json:"wechat_number"`  // 微信号
	WechatQRCode string `json:"wechat_qr_code"` // 微信二维码
}

func NewUpdateContactInfoRequest() *UpdateContactInfoRequest {
	return new(UpdateContactInfoRequest)
}

func NewUpdateContactInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(UpdateContactInfoData)
	return resp
}
